#include <bits/stdc++.h>

using namespace std;

solve()
{
    int tt;cin >> tt;
    for(int i = 0; i < tt; i++)
    {
        int n; cin >> n;
        vector<int> v(n);
        for(int j = 0; j < n;j++)
        {
            cin >> v[i];
        }
        cout << "DA" << endl;
    }
}

int main()
{
    solve();
    return 0;
}